function J = Jacobian(x,c0)
% Jacobian for Example_04
% c0(1) = ca0 / c0(2) = cb0 / c0(3) = cc0 / c0(4) = cd0
ca = c0(1) - 2*x(1)*c0(2) - x(2)*c0(4);
cb = (1 - x(1))*c0(2);
cc = c0(3) + x(1)*c0(2) + x(2)*c0(4);
cd = (1 - x(2))*c0(4);
J(1,1)=c0(2)*((ca^2)*cb + cc*(4*ca*cb + ca^2))/(ca^4)/(cb^2);
J(1,2)=c0(4)*((ca^2)*cb + 2*cc*ca*cb)/(ca^4)/(cb^2);
J(2,1)=c0(2)*(ca+2*cc)/(ca^2)/cd;
J(2,2)=c0(4)*(ca*cd+cc*(cd+ca))/(ca^2)/(cd^2);